=== modified file 'ChangeLog'
--- ChangeLog	2006-08-20 20:58:17 +0000
+++ ChangeLog	2006-08-21 00:06:30 +0000
@@ -1,5 +1,6 @@
 2006-08-20  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
+    * README: added important information about installing
     * po/olive-gtk.pot: regenerated
     * olive/frontend/gtk/push.py: added basic test functionality
     * olive.glade: added test related widgets to the Push dialog

=== added file 'README'
--- README	1970-01-01 00:00:00 +0000
+++ README	2006-08-21 00:06:30 +0000
@@ -0,0 +1,52 @@
+README for Olive
+================
+
+What is Olive?
+--------------
+
+Olive is a GTK-based graphical frontend for Bazaar Version Control System
+(http://bazaar-vcs.org/). It aims to be a user-friendly tool for those who are
+not familiar with command line interfaces. Olive is written in Python, so it
+can be run under different platforms (Linux and Windows are known to work).
+
+Requirements
+------------
+
+ - Python (>= 2.4)
+ - GTK (>= 2.8)
+ - PyGTK (>= 2.8)
+ - Bazaar (>= 0.8.2)
+
+Install on Linux
+----------------
+ 
+You just need to run the bundled setup script like this:
+ 
+ # ./setup.py install
+
+If you'd like to install to a different folder, you can:
+
+ $ ./setup.py install --prefix /path/to/the/folder
+
+Be sure to adjust the PATH values if you install to a custom location!
+
+A desktop menu entry is shipped with the application, you'll find Olive in the
+Programming category.
+
+Install on Windows
+------------------
+
+You can download the dependencies from the following locations:
+
+ - Python: http://www.python.org/download/releases/2.4.3/
+ - GTK: http://gladewin32.sourceforge.net/
+ - PyGTK: http://www.mapr.ucl.ac.be/~gustin/win32_ports/pygtk.html (pycairo too)
+ - Bazaar: http://bazaar-vcs.org/WindowsDownloads (Python-based should be okay)
+
+As an Administrator, you can install Olive with the standard command:
+
+ > c:\Python24\python.exe setup.py install
+
+You can run Olive with this command:
+
+ > c:\Python24\python.exe c:\Python\Scripts\olive-gtk

=== modified file 'TODO'
--- TODO	2006-08-20 20:58:17 +0000
+++ TODO	2006-08-21 00:06:30 +0000
@@ -1,7 +1,7 @@
 TODO list for Olive
 -------------------
 
- - Be able to install into other locations than /usr (LarstiQ)
+[DONE] Be able to install into other locations than /usr (LarstiQ)
 [DONE] Investigate TortoiseSVN-like commit/add dialogs (LarstiQ)
    http://samba.org/~jelmer/bzr/gcommit.png
 [DONE] HIGify the interface (Matthieu Moy)

=== modified file 'olive/frontend/gtk/push.py'
--- olive/frontend/gtk/push.py	2006-08-20 20:58:17 +0000
+++ olive/frontend/gtk/push.py	2006-08-21 00:06:30 +0000
@@ -193,7 +193,7 @@
         m = _urlRE.match(url)
         if m:
             proto = m.groupdict()['proto']
-            if (proto == 'sftp') or (proto == 'file'):
+            if (proto == 'sftp') or (proto == 'file') or (proto == 'ftp'):
                 # have write acces (most probably)
                 self.image_test.set_from_stock(gtk.STOCK_YES, 4)
                 self.label_test.set_markup(_('<b>Write access is available most probably</b>'))

